package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlClassicCaseDTO;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.entity.KlOperation;
import com.diagbot.vo.KlClassicCasePageVO;
import com.diagbot.vo.KlConceptStaticPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 经典病例表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
public interface KlClassicCaseMapper extends BaseMapper<KlClassicCase> {

    IPage<KlClassicCaseDTO> getClassicCase(@Param("klClassicCasePageVO") KlClassicCasePageVO klClassicCasePageVO);

}
