package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.vo.MappingConfigPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 经典病例表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
public interface KlClassicCaseInfoMapper extends BaseMapper<KlClassicCaseInfo> {
    /**
     * 查询病例信息
     *
     * @param ids
     * @return
     */
    List<KlClassicCaseInfo> listInfo(@Param("ids") List<Long> ids);

    KlClassicCaseInfo getOneCase(@Param("conceptId") Long conceptId);

}
