package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/12/30 13:21
 */
@Getter
@Setter
public class RuleQueryVO extends Page {
    //医学标准术语
    private String libName;
    //术语类型
    private Integer libType;
    //规则类型
    private Integer ruleType;
    //规则名称
    private String description;
    //基础医学标准术语
    private String baseLibName;
    //基础规则术语类型
    private Integer baseLibType;
    @ApiModelProperty(hidden = true)
    private List<Long> ruleIds = new ArrayList<>(); //隐藏规则Id列表
}
